#ifndef CIRCLE8_H
#define CIRCLE8_H

#include <cstdlib>
#include <GL/glut.h>
#include "point8.h"

class Circle
{
  public:
    Circle() : P(0.0,0.0), rad(0.0) {}
    Circle(const Point&  p, const float& r);

    float  radius() const;
    float  area() const;
    float  circumference() const;
    Point  center() const;
    void   draw() const;

  private:
    Point           P;
    float           rad;
    GLUquadricObj*  quadric;
};

#endif // CIRCLE8_H
