#include <cstdlib>
#include <iostream>
#include <GL/glut.h>
#include "point8.h"
#include "circle9.h"
#include "color.h"
#include "openGL_helpers8.h"

using namespace std;                         // using directive

enum Menu_constants { QUIT = 0 };

float radius;
float x;
float y;


void draw()
{
  glClear( GL_COLOR_BUFFER_BIT );
  glColor3f( 1.0, 0.0, 0.0);
  Circle C0 = Circle( Point(-0.2, 0.7), 0.1);
  C0.draw();
  ColoredCircle C1 = ColoredCircle( Point(0.3, 0.3), 0.4, Color(0.0, 1.0, 0.0));
  C1.draw();
  glColor3f( 0.0, 0.0, 1.0);
  ColoredCircle C2 = ColoredCircle( Point(-0.3, -0.5), 0.3);
  C2.draw();   // draws white circle
  glutSwapBuffers();
}


int
main(int argc, char **argv)
{ 
  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_RGB | GLUT_DOUBLE);
  glutInitWindowSize(500,500);
  glutInitWindowPosition(250,250);
  glutCreateWindow("Colored circles");
  glutDisplayFunc(draw);
  glutReshapeFunc(reshape); 
  glutCreateMenu(menu);
  glutAddMenuEntry("Quit",QUIT);
  glutAttachMenu(GLUT_RIGHT_BUTTON);
  glutMainLoop();

  return EXIT_SUCCESS;
}
