#include <iostream>

void f1(double*) { cout << "f1(double*)" << endl; }
void f1(int) { cout << "f1(int)" << endl; }
// int f1(int);  return value is not part of a function's signature
void f2(int) { cout << "f2(int)" << endl; }
void f3(double) { cout << "f3(double)" << endl; }

typedef void (*PF)(double);
void f( PF pf) { pf(1.0); }

int
main()
{
  void (*pf)(int);     // pointer to function; function returns void
                       // and has a single argument of type int
  pf = &f2;
  pf( 1 );

  pf = f2;
  pf( 1 );

  pf = f1;
  pf( 1 );

  // pf = &f3; 
  
  f( f3);
  
  void (*ppf)(void (*)(double));
  ppf = f;
  ppf( f3);
  
  return 0;
}
