#include <iostream>
#include "Integral_double.h"
#include <cassert>

using namespace std;

int
main()
{
  Integral_double id1 = 1.0;
  Integral_double id2 = 2.0;
  Integral_double id3 = 3.0;

  id3 *= 2.0;
  Integral_double id4 = id2 * id2;
  assert( id1 < id2);
  assert( id3 > id2);
  assert( id1 <= id2);
  assert( id1 >= id1);
  assert( id4 != id1);

  id4 /= id3;
  assert( id4 == Integral_double(4.0)/id3);
  assert( id4 == id1);
  id1 = 5.0 - id2;
  Integral_double id5;
  id5 = id2 - id3;
  id2 *= id2;
  id5 -= id2;
  id5 += id2;
  assert( id5 == id5);
  
  return 0;
}
