#include <cstdlib>
#include <iostream>
#include <GL/glut.h>
#include "point8.h"
#include "circle8.h"
#include "openGL_helpers8.h"

using namespace std;                         // using directive

Circle  C;

enum Menu_constants { QUIT = 0 };

void draw()
{
  glClear( GL_COLOR_BUFFER_BIT );
  glColor3f( 1.0, 0.0, 0.0);
  C.draw();
}


int
main(int argc, char **argv)
{
  float radius;
  float x;
  float y;

  cout << "Enter x-coordinate of circle center: ";
  cin  >> x;
  cout << "Enter y-coordinate of circle center: ";
  cin  >> y;
  cout << "Enter the circle radius: ";
  cin  >> radius;

  Point   P( x, y);
  C = Circle( P, radius);

  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_RGB | GLUT_SINGLE);
  glutInitWindowSize(500,500);
  glutInitWindowPosition(250,250);
  glutCreateWindow(argv[0]);
  glutDisplayFunc(draw);          // glutDisplayFunc( void (*f)() )
  glutReshapeFunc(reshape);       // glutReshapeFunc( void (*f)() )
  glutCreateMenu(menu);           // glutCreateMenu( void (*f)(int) )
                                  //                pointer to function
  glutAddMenuEntry("Quit",QUIT);
  glutAttachMenu(GLUT_RIGHT_BUTTON);
  glutMainLoop();

  return EXIT_SUCCESS;
}
